#include <iostream>
#include <thread>
#include "sys_time.h"
#include "log.h"
#include "data_queue.h"
#include "math_tool.h"

int main()
{
	initLog("PMD", "./pmd.log", 0);

	infra::DataQueue<std::string> queue;
	queue.push("aaa");
	queue.push("ddd");

	LOG_WARN("size: %lu", queue.size());

	int64_t s = infra::SysTime::current_ms();
	std::this_thread::sleep_for(std::chrono::seconds(2));
	int64_t e = infra::SysTime::current_ms();
	std::cout << e - s << std::endl;
	LOG_WARN("e-s: %lu", e - s);


	infra::Point3d<float> ee(1.1, 3.2, 5.6);
	std::cout << ee.x << ee.y << ee.z << std::endl;
	getchar();
	return 0;
}